Bug 134831 - Inspector extends to only 2/3rd of the sidebar
Summary: Inspector extends to only 2/3rd of the sidebar
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.0.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Shivam Kumar Singh
URL:
Whiteboard: target:7.1.0
Keywords:
Depends on:
Blocks: Styles_Inspector
  Show dependency treegraph
 
Reported: 2020-07-15 11:18 UTC by Shivam Kumar Singh
Modified: 2020-08-13 17:59 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Outcome on Windows (68.70 KB, image/png)
2020-07-15 11:19 UTC, Shivam Kumar Singh
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Shivam Kumar Singh 2020-07-15 11:18:01 UTC
Description:
A weird behaviour observed. On Linux Inspector extends across the full sidebar but on Windows it covered only 2/3rd of the sidebar.
Waiting for more input.

Steps to Reproduce:
1.Check Inspector in Windows

Actual Results:
Should extend completely across the sidebar

Expected Results:
Extends to about 60% of the net height


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 7.1.0.0.alpha0+ (x64)
Build ID: 693ed425169d5c93bf8f27262f63791f6ba2140e
CPU threads: 8; OS: Windows 10.0 Build 18362; UI render: Skia/Raster; VCL: win
Locale: en-IN (en_IN); UI: en-US
Calc: threaded
Comment 1 Shivam Kumar Singh 2020-07-15 11:19:18 UTC
Created attachment 163059 [details]
Outcome on Windows
Comment 2 Dieter 2020-07-19 11:26:13 UTC
I can't confirm this with

Version: 7.1.0.0.alpha0+ (x64)
Build ID: 52820b52b3bca45e2db527d1cc5f4488b2e0b9d0
CPU threads: 4; OS: Windows 10.0 Build 19041; UI render: Skia/Raster; VCL: win
Locale: de-DE (de_DE); UI: en-GB
Calc: threaded

Style inspector has same width as the other components of sidebar.
Comment 3 Heiko Tietze 2020-07-22 09:53:58 UTC
(In reply to Dieter from comment #2)
> Style inspector has same width as the other components of sidebar.

But not the full height. It's also not maximized on Linux.
Comment 4 Commit Notification 2020-07-30 10:46:14 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/afd2263f3effce76791f672e79c02498509cafa9

Resolves: tdf#134831 reorg to expand inspector to fit full panel size

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.